<?php

include("conexion.php");


        $conec=new conexion;


if($turno==""){
    if($_SESSION["activarTurnos"]==2){

        if($_SESSION["tipo"]==1){
            $consulta="SELECT `factura` FROM `facturas` WHERE LEFT(fechaFactura,10)  BETWEEN '$fecha' AND '$fechaf' and idbodegaF=$bodega order by `factura` "; 
        }else{
            $consulta="SELECT `factura` FROM `facturas` WHERE LEFT(fechaFactura,10)  BETWEEN '$fecha' AND '$fechaf' and idbodegaF=$bodega and usuariof='$turno' order by `factura` "; 

        }

    }else{
        $consulta="SELECT `factura` FROM `facturas` WHERE LEFT(fechaFactura,10)  BETWEEN '$fecha' AND '$fechaf' and idbodegaF=$bodega order by `factura` "; 
    }    
    
}else{

    if($_SESSION["activarTurnos"]==2){
        $consulta="SELECT `factura` FROM `facturas` WHERE LEFT(fechaFactura,10)  BETWEEN '$fecha' AND '$fechaf' AND usuariof='$turno' and idbodegaF=$bodega order by `factura` "; 


    }else{
        $consulta="SELECT `factura` FROM `facturas` WHERE LEFT(fechaFactura,10)  BETWEEN '$fecha' AND '$fechaf' AND facturno='$turno' and idbodegaF=$bodega order by `factura` "; 
    }
   

}

      
       $resultado=$conec->conectar()->query($consulta);
       $file=$resultado->fetch_all(MYSQLI_ASSOC);

       $registro=count($file);
       $primerfact=reset($file);
       $ultimafact=end($file);
       $factinicial=$primerfact["factura"];
       $factfinal=$ultimafact["factura"];


    //numero de informe caja

    $consulta2="SELECT * FROM `empresa` where bodegaEm=$bodega ";
    $resultado2=$conec->conectar()->query($consulta2);
    $resu= mysqli_fetch_object($resultado2);
    $numinforme=$resu->numinfocaja;
    $oculto="hidden";
    $a=1;
    $numactulizar=$numinforme+$a;

    $actulizar="UPDATE `empresa` SET `numinfocaja`=$numactulizar where bodegaEm=$bodega ";
    $resultado3=$conec->conectar()->query($actulizar);
    if($turno==""){

        $consulta3="SELECT * FROM `cuadrecaja` WHERE fecha='$fechaf' and idbodega=$bodega ";
    }else{
        if($_SESSION["activarTurnos"]==2){
            $consulta3="SELECT * FROM `cuadrecaja` WHERE fecha='$fechaf' and idbodega=$bodega and usercuadre='$turno' "; 
        }else{
        $consulta3="SELECT * FROM `cuadrecaja` WHERE fecha='$fechaf' and idbodega=$bodega and cdturno='$turno' "; 
        }
    }
   
    $resultado3=$conec->conectar()->query($consulta3);
    if($resu3= mysqli_fetch_object($resultado3)){
        $diferencia=$resu3->Diferencia;
        $valorIngresado=$resu3->valorIngresado;
        $ingreEfect=$resu3->ingreEfect;
        
        $DiferenEfecti=$resu3->DiferenEfecti;
        $ingresoTrasfer=$resu3->ingresoTrasfer;
        $DiferenciTrasfer=$resu3->DiferenciTrasfer;
        $ingresoTarjet=$resu3->ingresoTarjet;
        $DiferenciaTarjet=$resu3->DiferenciaTarjet;
        $ventaEfectivo=$resu3->ventaEfectivo;
        $ventaTrasfere=$resu3->ventaTrasfere;
        $ventatarjetas=$resu3->ventatarjetas;

        $oculto="";
        
$baseCaja=$resu3->baseCaja;
$basecajaAnterior=$resu3->basecajaAnterior;
$efectivo1=$resu3->efectivo1;
$dineroEntregadoOfic=$resu3->dineroEntregadoOfic;
$diferenciaCuadreMoned=$resu3->diferenciaCuadreMoned;
$totalRecojidoCuadr=$resu3->totalRecojidoCuadr;

         
    }else{
        $diferencia=0;
        $valorIngresado=0;


        $ingreEfect=0;
        
        $DiferenEfecti=0;
        $ingresoTrasfer=0;
        $DiferenciTrasfer=0;
        $ingresoTarjet=0;
        $DiferenciaTarjet=0;
        $ventaEfectivo=0;
        $ventaTrasfere=0;
        $ventatarjetas=0;

        $baseCaja=0;
        $basecajaAnterior=0;
        $efectivo1=0;
        $dineroEntregadoOfic=0;
        $diferenciaCuadreMoned=0;
        $totalRecojidoCuadr=0;

    }




     




?>